Page MenuHomePhabricator

Collection extension needs direction improvements for RTL languages
Closed, ResolvedPublic

Description

For RTL languages collection extension detect line direction according to first word. in many cases it is not True.

All texts in below should be shown RTL
http://fa.wikipedia.org/wiki/%DA%A9%D8%A7%D8%B1%D8%A8%D8%B1:Yamaha5/Bug_of_PDF_3

lines,==,*,# after Line which is started with Latin words should have their own direction.


Version: unspecified
Severity: normal

Details

Reference
bz71599

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:59 AM
bzimport added a project: Collection.
bzimport set Reference to bz71599.
bzimport added a subscriber: Unknown Object (MLST).
Yamaha5 created this task.Oct 3 2014, 5:39 AM
cscott claimed this task.Jul 19 2015, 3:52 PM
cscott triaged this task as High priority.
cscott edited projects, added OCG-PDF-renderer; removed Collection.
cscott set Security to None.
cscott added a subscriber: cscott.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 19 2015, 3:52 PM

The bidi algorithm seems to be associating the space with the LTR text instead of the RTL text so the two texts run together. With input "foo <persian>" we get "<persian>foo" with no space.

Aklapper renamed this task from Collection extension needs direction improvments for RTL languages to Collection extension needs direction improvements for RTL languages.Aug 17 2015, 1:34 PM
Aklapper added projects: RTL, I18n.
Amire80 moved this task from Backlog to Other on the RTL board.Aug 30 2015, 7:16 AM
Amire80 moved this task from Other to PDF on the RTL board.Aug 30 2015, 7:20 AM
Yamaha5 closed this task as Resolved.Sep 3 2015, 9:33 PM